Skip to main content
POST
https://api.dintero.com/v1
/
accounts
/
{aid}
/
terminals
aid_account_management_terminals_post
curl --request POST \
  --url https://api.dintero.com/v1/accounts/{aid}/terminals \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "device_serial_number": "123456789012",
  "store_id": "S312"
}
'
{
  "terminal_id": "T12233302-T0001",
  "device_serial_number": "123456789012",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "updated_at": "2023-11-07T05:31:56Z",
  "deleted_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
  "deleted_at": "2023-11-07T05:31:56Z",
  "device_model": "<string>",
  "store_id": "<string>",
  "status_reason": "CHECK_UPDATE"
}

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

aid
string<^[PT]{1}\d{8}$>
required

An id that uniquely identifies the account.

Required string length: 9

Body

application/json
device_serial_number
string
required

Hardware serial number printed on the device.

Example:

"123456789012"

store_id
string
required

The client-supplied store_id of the store to associate this terminal with.

Example:

"S312"

Response

Terminal

terminal_id
string
required
Example:

"T12233302-T0001"

device_serial_number
string
required
Example:

"123456789012"

id
string<uuid>
read-only

An UUID that uniquely identifies the resource

created_at
string<date-time>
read-only

The date-time when the resource was created

created_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

updated_at
string<date-time>
read-only

The date-time when the resource was last updated

deleted_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

deleted_at
string<date-time>
read-only
device_model
string
store_id
string
status
enum<string>
read-only

The status of the terminal

Available options:
DELETED,
PENDING,
ACTION_REQUIRED,
ACTIVE,
INACTIVE,
ERROR
status_reason
enum<string>

Context explaining why the terminal has its current status.

Available options:
CHECK_UPDATE
Last modified on June 19, 2026